package webhook

import "go.fifitido.net/twitch/eventsub/events"

type TransportOptions struct {
	// The address to serve the webhook on.
	//
	// If not specified it uses the default value :8080
	Address *string

	// The full callback url where the webhook will be accessible.
	CallbackURL string

	EventsHandler     events.Handler
	RevocationHandler events.RevocationHandler
}
